notiflowsDocs
Channels

List channels

Retrieve all channels in your project.

GET
/channels

Authorization

AccountToken
AuthorizationBearer <token>

Account token (prefix nf_at_), sent as Authorization: Bearer nf_at_…. Created in the dashboard under Account tokens; account-scoped (all projects in the account).

In: header

Query Parameters

page?integer

Page number (default: 1)

limit?integer

Items per page (default: 25)

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.notiflows.com/management/v1/channels"
{
  "items": [
    {
      "created_at": "2019-08-24T14:15:22Z",
      "handle": "sendgrid-primary",
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "Primary Email",
      "provider": "in_app",
      "type": "in_app",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "page_info": {}
}
{
  "error": {
    "code": "not_found",
    "details": {
      "allowed_statuses": [
        "string"
      ],
      "allowed_transitions": [
        "string"
      ],
      "auth": "api_key",
      "current_status": "string",
      "fields": [
        {
          "field": "email",
          "message": "can't be blank",
          "reason": "required"
        }
      ],
      "id": "string",
      "idempotency_key": "string",
      "limit": 0,
      "param": "string",
      "reason": "string",
      "required_scope": "string",
      "resource": "string",
      "retry_after": 0,
      "window": "string"
    },
    "message": "User not found",
    "request_id": "req_abc123",
    "status": 404,
    "type": "https://notiflows.com/docs/api/errors#not_found-404"
  }
}
{
  "error": {
    "code": "not_found",
    "details": {
      "allowed_statuses": [
        "string"
      ],
      "allowed_transitions": [
        "string"
      ],
      "auth": "api_key",
      "current_status": "string",
      "fields": [
        {
          "field": "email",
          "message": "can't be blank",
          "reason": "required"
        }
      ],
      "id": "string",
      "idempotency_key": "string",
      "limit": 0,
      "param": "string",
      "reason": "string",
      "required_scope": "string",
      "resource": "string",
      "retry_after": 0,
      "window": "string"
    },
    "message": "User not found",
    "request_id": "req_abc123",
    "status": 404,
    "type": "https://notiflows.com/docs/api/errors#not_found-404"
  }
}
{
  "error": {
    "code": "not_found",
    "details": {
      "allowed_statuses": [
        "string"
      ],
      "allowed_transitions": [
        "string"
      ],
      "auth": "api_key",
      "current_status": "string",
      "fields": [
        {
          "field": "email",
          "message": "can't be blank",
          "reason": "required"
        }
      ],
      "id": "string",
      "idempotency_key": "string",
      "limit": 0,
      "param": "string",
      "reason": "string",
      "required_scope": "string",
      "resource": "string",
      "retry_after": 0,
      "window": "string"
    },
    "message": "User not found",
    "request_id": "req_abc123",
    "status": 404,
    "type": "https://notiflows.com/docs/api/errors#not_found-404"
  }
}
{
  "error": {
    "code": "not_found",
    "details": {
      "allowed_statuses": [
        "string"
      ],
      "allowed_transitions": [
        "string"
      ],
      "auth": "api_key",
      "current_status": "string",
      "fields": [
        {
          "field": "email",
          "message": "can't be blank",
          "reason": "required"
        }
      ],
      "id": "string",
      "idempotency_key": "string",
      "limit": 0,
      "param": "string",
      "reason": "string",
      "required_scope": "string",
      "resource": "string",
      "retry_after": 0,
      "window": "string"
    },
    "message": "User not found",
    "request_id": "req_abc123",
    "status": 404,
    "type": "https://notiflows.com/docs/api/errors#not_found-404"
  }
}